// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "IdleState.h"

static StateAbstract* ptr;

// *************************************
// * Idle State: initialization method *
// *************************************
void IdleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
                        //    PS DT CMD
                        // 11 01 00 02
     ptr->Flags = 0xD2; // 11 01 00 10 binary
     
     ptr->DefaultStateMethod = &IdleStateMethod;
}

// ******************************
// * Idle State: default method *
// ******************************
static void IdleStateMethod( void* command ){
}