// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "DataTypes.h"

#ifndef _STATE_ABSTRACT_
#define _STATE_ABSTRACT_

// State abstraction
typedef struct {
    // Properties:
    BYTE Flags;                                 // | DT | TPS | x | x | x | x | x | x |
    // Methods:
    void (*StateInitialization) ( void* );
    void (*DefaultStateMethod)  ( void* );
} StateAbstract;

#endif